const months = ["января", "февраля", "марта", "апреля", "мая", "июня", "июля", "августа", "сентября", "октября", "ноября", "декабря"],
    monthMin = ["янв", "фев", "мар", "апр", "май", "июн", "июл", "авг", "сен", "окт", "ноя", "дек"],
    days = ["воскресенье", "понедельник", "вторник", "среда", "четверг", "пятница", "суббота"],
    daysMin = ["вс", "пн", "вт", "ср", "чт", "пт", "сб"],
    seasons = ["зима", "весна", "лето", "осень"];

function postDate(daysName, daysMinName, monthsName, monthsMinName, seasonsName) {
    const _counterLength = 60;
    for (let counter = 0; counter < _counterLength; counter++) {
        innerDate(counter, 'date-');
        innerDate(counter, 'date')
    }

    function innerDate(counter, dateType) {
        let newCounter;
        dateType === 'date-' ? newCounter = -counter : newCounter = counter;
        const _msInDay = 86400000,
            _localDate = new Date(Date.now() + (newCounter * _msInDay)),
            _day = _localDate.getDate(),
            _month = _localDate.getMonth() + 1,
            _year = _localDate.getFullYear();
        const dayDefault = addZero(_day),
            monthDefault = addZero(_month),
            defaultDate = dayDefault + '.' + monthDefault + '.' + _year;
        const dateClass = dateType + counter,
            nodeList = document.querySelectorAll('.' + dateClass);
        for (let i = 0; i < nodeList.length; i++) {
            const dateFormat = nodeList[i].dataset.format;
            dateFormat !== undefined && dateFormat !== '' ? nodeList[i].innerHTML = String(changeFormat(dayDefault, _month, _year, dateFormat, newCounter)) : nodeList[i].innerHTML = defaultDate
        }
    }

    function changeFormat(_day, _month, _year, format, counter) {
        let innerFormat = format;
        const testFormat = ["dd", "mm", "yyyy", "monthFull", "year"],
            dateFormat = {
                dd: _day,
                mm: addZero(_month),
                yyyy: _year,
                monthFull: getMonthName(_month, monthsName, false),
                year: getYearWithCounter(_year, counter),
            };
        for (let i = 0; i < testFormat.length; i++) {
            let string = testFormat[i];
            let regExp = new RegExp(string);
            innerFormat = innerFormat.replace(regExp, dateFormat[string]);
        }
        return innerFormat.split(' ').join(' ')
    }

    function getMonthName(_month, monthsName, bigFirstLetter, counter) {
        const monthCounter = !!counter ? counter : 0;
        let month;
        _month + monthCounter > 12 ? month = monthCounter - (12 - _month) : month = _month + monthCounter;
        _month + monthCounter <= 0 ? month = 12 + monthCounter + 1 : month = _month + monthCounter;
        return changeFirstLetter(bigFirstLetter, monthsName[month - 1])
    }

    function getYearWithCounter(year, counter) {
        return year + counter
    }

    function addZero(numb) {
        return numb < 10 ? '0' + numb : numb
    }

    function changeFirstLetter(isBig, str) {
        return isBig && str && str.length > 0 ? str[0].toUpperCase() + str.slice(1) : str
    }
}
if (document.body.classList.contains('ev-date')) {
    document.addEventListener("DOMContentLoaded", function () {
        postDate(days, daysMin, months, monthMin, seasons)
    });
}


$(document).ready(function () {
    $('.boxes > div').click(function () {
        if ($(this).parent().hasClass('boxesfirsttry')) {
            $('.boxes').removeClass('boxesfirsttry');
            $(this).addClass('openbox');
            $(this).find('.try').hide();
            $(this).find('.opentry').show();
            setTimeout(function () {
                $('.sweet-overlay').show();
                $('.sweet-alert').show();
            }, 500);
        } else if ($(this).parent().hasClass('boxeslasttry')) {
            if (!$(this).hasClass('openbox')) {
                $(this).find('.try').hide();
                $(this).find('.opentry').show();
                $(this).find('.boxtext').css('display', 'block');
                setTimeout(function () {
                    if ($(".new-comebacker-overlay").is(":visible")) $(".new-comebacker-overlay").hide();
                    $(".new-comebacker-overlay .boxes-is-open").show();
                    $(".new-comebacker-overlay .boxes-not-open").hide();
                    $('.spin-result-wrapper').show();
                    setTimeout(function () {
                        $('#boxesContainer').slideUp(250);
                        setTimeout(function () {
                            $('.order_block').slideDown(250);
                        }, 500)
                    }, 500)
                }, 500);
            }
        }
    });
    $('#update').click(function () {
        $('.sweet-overlay').hide();
        $('.sweet-alert').hide();
        $('.boxes').addClass('boxeslasttry');
    });
    $('.pop-up-button, .close-popup, .buttonPopupBox').click(function () {
        $('.spin-result-wrapper').hide();

    })


});

$(function () {
    $(".popupBox").css({
        height: $(document).height() + "px"
    }), $(".close, .buttonPopupBox").click(function () {
        $(".popupBox").fadeOut(200)
    });
    var c = !0;
    $(window).mouseout(function (e) {
        e.pageY - $(window).scrollTop() < 1 && 1 == c && ($(".popupBox").fadeIn(200), c = !1)
    })
});

$(document).ready(function () {
    $("a").attr('data-scroll', '#forma');
    $(function () {
        $('a').click(function (evt) {
            evt.preventDefault();
            var target = $(this).attr('data-scroll');
            $("html, body").animate({
                scrollTop: $(target).offset().top - 20
            }, "slow");
        });
    });
});

function initializeTimer() {
    if (!localStorage.getItem("ever-timer")) {
        var time = {
            hours: 0,
            minutes: 27,
            seconds: 0
        };
        time = 3600 * time.hours + 60 * time.minutes + time.seconds, localStorage.setItem("time", time), localStorage.setItem("ever-timer", !0)
    }
    timerSettings()
}

function timerSettings() {
    var time = localStorage.getItem("time"),
        different = document.querySelector(".timer-different"),
        hours = parseInt(time / 3600, 10),
        minutes = parseInt((time - 3600 * hours) / 60, 10),
        seconds = parseInt(time % 60, 10);
    minutes = minutes < 10 ? "0" + minutes : "" + minutes, seconds = seconds < 10 ? "0" + seconds : "" + seconds, hours = hours < 10 ? "0" + hours : "" + hours;
    var hoursHTML = document.getElementsByClassName("hours"),
        minutesHTML = document.getElementsByClassName("minutes"),
        secondsHTML = document.getElementsByClassName("seconds");
    if (--time < 0) return void localStorage.removeItem("ever-timer");
    different ? (seconds = seconds.split(""), minutes = minutes.split(""), hours = hours.split(""), diFilling(hoursHTML, hours), diFilling(minutesHTML, minutes), diFilling(secondsHTML, seconds)) : (filling(hoursHTML, hours), filling(minutesHTML, minutes), filling(secondsHTML, seconds)), localStorage.setItem("time", time), setTimeout(timerSettings, 1e3)
}

function filling(obj, value) {
    for (var i = 0; i < obj.length; i++) obj[i].innerHTML = value
}

function diFilling(obj, value) {
    for (var i = 0; i < obj.length; i++) obj[i].innerHTML = value[i % 2]
}
initializeTimer();